=== modified file 'NEWS'
--- NEWS	2010-01-12 02:58:09 +0000
+++ NEWS	2010-01-12 04:31:02 +0000
@@ -39,8 +39,8 @@
 Bug Fixes
 *********
 
-* Better message when Windows reports "error 123" when trying to start an
-  editor.  (Martin Pool, #504842)
+* Better message when Windows reports "error 123" (literally number 123)
+  when trying to start an editor.  (Martin Pool, #504842)
 
 * ``bzr export dir`` now requests all file content as a record stream,
   rather than requsting the file content one file-at-a-time. This can make

=== modified file 'bzrlib/msgeditor.py'
--- bzrlib/msgeditor.py	2010-01-12 02:58:09 +0000
+++ bzrlib/msgeditor.py	2010-01-12 04:31:02 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 Canonical Ltd
+# Copyright (C) 2005, 2006, 2009 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -63,25 +63,14 @@
             ## mutter("trying editor: %r", (edargs +[filename]))
             x = call(edargs + [filename])
         except OSError, e:
-            # We're searching for an editor, so catch safe errors and continue
-            # errno 193 is ERROR_BAD_EXE_FORMAT on Windows. Python2.4 uses the
-            # winerror for errno. Python2.5+ use errno ENOEXEC and set winerror
-            # to 193. However, catching 193 here should be fine. Other
-            # platforms aren't likely to have that high of an error. And even
-            # if they do, it is still reasonable to fall back to the next
-            # editor.
-            # 123 is "The Filename, Directory Name, or Volume Label Syntax Is
-            # Incorrect" (see
-            # <https://bugs.edge.launchpad.net/bzr/+bug/504842>)
-            if e.errno in (errno.ENOENT, errno.EACCES, errno.ENOEXEC, 193, 123):
-                if candidate_source is not None:
-                    # We tried this editor because some user configuration (an
-                    # environment variable or config file) said to try it.  Let
-                    # the user know their configuration is broken.
-                    trace.warning(
-                        'Could not start editor "%s" (specified by %s): %s\n'
-                        % (candidate, candidate_source, str(e)))
-                continue
+            if candidate_source is not None:
+                # We tried this editor because some user configuration (an
+                # environment variable or config file) said to try it.  Let
+                # the user know their configuration is broken.
+                trace.warning(
+                    'Could not start editor "%s" (specified by %s): %s\n'
+                    % (candidate, candidate_source, str(e)))
+            continue
             raise
         if x == 0:
             return True

